commit c21c9bf69037a46dcf6768d4384e1c801dfd7021
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Tue Mar 21 17:22:23 2017 +0100

    ref #6169 removing replaced RegistrationItemDesign

diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/component/registration/RegistrationWorkflowComponent.java b/src/main/java/eu/etaxonomy/cdm/vaadin/component/registration/RegistrationWorkflowComponent.java
deleted file mode 100644
index 5ed6f3f5..00000000
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/component/registration/RegistrationWorkflowComponent.java
+++ /dev/null
@@ -1,39 +0,0 @@
-/**
-* Copyright (C) 2017 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-package eu.etaxonomy.cdm.vaadin.component.registration;
-
-import com.vaadin.ui.CssLayout;
-import com.vaadin.ui.Label;
-
-import eu.etaxonomy.cdm.vaadin.design.registration.RegistrationWorkflowDesign;
-
-/**
- * @author a.kohlbecker
- * @since Mar 3, 2017
- *
- */
-public class RegistrationWorkflowComponent extends RegistrationWorkflowDesign {
-
-    private static final long serialVersionUID = 7196791015737342650L;
-
-    /**
-     * @return the title
-     */
-    public Label getTitle() {
-        return title;
-    }
-
-    /**
-     * @return the workflow
-     */
-    public CssLayout getWorkflow() {
-        return workflow;
-    }
-
-}
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/design/registration/RegistrationItemDesign.java b/src/main/java/eu/etaxonomy/cdm/vaadin/design/registration/RegistrationItemDesign.java
deleted file mode 100644
index 19ca9947..00000000
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/design/registration/RegistrationItemDesign.java
+++ /dev/null
@@ -1,36 +0,0 @@
-package eu.etaxonomy.cdm.vaadin.design.registration;
-
-import com.vaadin.annotations.AutoGenerated;
-import com.vaadin.annotations.DesignRoot;
-import com.vaadin.ui.Button;
-import com.vaadin.ui.HorizontalLayout;
-import com.vaadin.ui.Label;
-import com.vaadin.ui.Link;
-import com.vaadin.ui.declarative.Design;
-
-/**
- * !! DO NOT EDIT THIS FILE !!
- *
- * This class is generated by Vaadin Designer and will be overwritten.
- *
- * Please make a subclass with logic and additional interfaces as needed,
- * e.g class LoginView extends LoginDesign implements View { }
- */
-@DesignRoot
-@AutoGenerated
-@SuppressWarnings("serial")
-public class RegistrationItemDesign extends HorizontalLayout {
-    protected Label typeStateLabel;
-    protected Link identifierLink;
-    protected Label citationLabel;
-    protected Label summaryLabel;
-    protected Button blockedByButton;
-    protected Button messageButton;
-    protected Button openButton;
-    protected Label createdLabel;
-    protected Label publishedLabel;
-
-    public RegistrationItemDesign() {
-        Design.read(this);
-    }
-}
diff --git a/src/main/resources/eu/etaxonomy/cdm/vaadin/design/registration/RegistrationItemDesign.html b/src/main/resources/eu/etaxonomy/cdm/vaadin/design/registration/RegistrationItemDesign.html
deleted file mode 100644
index c095011b..00000000
--- a/src/main/resources/eu/etaxonomy/cdm/vaadin/design/registration/RegistrationItemDesign.html
+++ /dev/null
@@ -1,41 +0,0 @@
-<!doctype html>
-<html>
- <head>
-  <meta charset="UTF-8">
-  <meta name="design-properties" content="{&quot;RULERS_VISIBLE&quot;:true,&quot;GUIDELINES_VISIBLE&quot;:false,&quot;SNAP_TO_OBJECTS&quot;:true,&quot;SNAP_TO_GRID&quot;:true,&quot;SNAPPING_DISTANCE&quot;:10,&quot;JAVA_SOURCES_ROOT&quot;:&quot;src/main/java&quot;,&quot;THEME&quot;:&quot;edit-valo&quot;}">
-  <meta name="vaadin-version" content="7.7.0">
- </head>
- <body>
-  <vaadin-horizontal-layout style-name="registration-item" width-full>
-   <vaadin-vertical-layout :expand>
-    <vaadin-horizontal-layout spacing width-full height="34px" :middle>
-     <vaadin-label icon="fonticon://FontAwesome/f02b" style-name="label-nowrap" size-auto plain-text _id="typeStateLabel">
-       State 
-     </vaadin-label>
-     <vaadin-link caption="http://phycobank/100000" _id="identifierLink" :center :expand></vaadin-link>
-    </vaadin-horizontal-layout>
-    <vaadin-label plain-text _id="citationLabel">
-      Publication citation string 
-    </vaadin-label>
-    <vaadin-label plain-text _id="summaryLabel">
-      Publication citation string possibly spanning multiple lines 
-    </vaadin-label>
-   </vaadin-vertical-layout>
-   <vaadin-vertical-layout width-auto height-full>
-    <vaadin-css-layout style-name="v-component-group">
-     <vaadin-button icon="fonticon://FontAwesome/f071" enabled="false" style-name="tiny" plain-text _id="blockedByButton"></vaadin-button>
-     <vaadin-button icon="fonticon://FontAwesome/f075" enabled="false" style-name="tiny" plain-text _id="messageButton"></vaadin-button>
-     <vaadin-button icon="fonticon://FontAwesome/f085" style-name="tiny primary" plain-text _id="openButton"></vaadin-button>
-    </vaadin-css-layout>
-    <vaadin-vertical-layout size-full :bottom :right>
-     <vaadin-label caption="Created" style-name="label-nowrap" size-auto plain-text _id="createdLabel" :bottom :right>
-       12.12.2012 
-     </vaadin-label>
-     <vaadin-label caption="Published" style-name="label-nowrap" size-auto plain-text _id="publishedLabel" :bottom :right>
-       12.12.2012 
-     </vaadin-label>
-    </vaadin-vertical-layout>
-   </vaadin-vertical-layout>
-  </vaadin-horizontal-layout>
- </body>
-</html>
\ No newline at end of file