commit 22daad3e3e3b9eed49f1532d771ec76fee86dfef
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Fri Aug 24 11:35:38 2018 +0200

    ref #7679 Change order of UI elements

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailElement.java
index 8bb99ce63..c13f439d4 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailElement.java
@@ -134,6 +134,25 @@ public class TaxonNodeDetailElement extends AbstractCdmDetailElement<ITaxonTreeN
 		    textNewTaxonName = formFactory.createTextWithLabelElement(formElement,"Taxon", "", style);
 
 		}
+		if (entity instanceof TaxonNode) {
+		    checkbox_publish = formFactory.createCheckbox(formElement,
+		            "Taxon is public", ((TaxonNode)entity).getTaxon().isPublish(), style);
+
+		    if(isCreateNew()){
+		        CdmPreference defaultPublish = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.DefaultBehaviourForPublishFlag);
+		        if (defaultPublish != null && defaultPublish.getValue().equals(IPreferenceKeys.PUBLISH)){
+		            checkbox_publish.setSelection(true);
+		        } else if (defaultPublish != null && defaultPublish.getValue().equals(IPreferenceKeys.DO_NOT_PUBLISH)){
+		            checkbox_publish.setSelection(false);
+		        }else{
+		            if((this.getParentTreeNode()).isInstanceOf(TaxonNode.class)){
+		                checkbox_publish.setSelection(((TaxonNode)this.getParentTreeNode()).getTaxon().isPublish());
+		            }else{
+		                checkbox_publish.setSelection(true);
+		            }
+		        }
+		    }
+		}
 
 		if (isCreateNew()){
             setParentTreeNode(entity);
@@ -146,11 +165,6 @@ public class TaxonNodeDetailElement extends AbstractCdmDetailElement<ITaxonTreeN
 		            "Taxon is unplaced", ((TaxonNode)entity).isUnplaced(), style);
 		}
 
-		if (!isCreateNew()){
-            selectionNodeAgentRelation = formFactory.createTaxonNodeAgentRelationCollectionSection(formElement, getConversationHolder(), style);
-            selectionNodeAgentRelation.setEntity((TaxonNode)entity);
-            selectionNodeAgentRelation.setLayoutData(LayoutConstants.FILL_HORIZONTALLY(2, 1));
-        }
 		preFillTaxonName();
 
 		if (entity instanceof TaxonNode) {
@@ -158,24 +172,11 @@ public class TaxonNodeDetailElement extends AbstractCdmDetailElement<ITaxonTreeN
 		            "Taxon is excluded", ((TaxonNode)entity).isExcluded(), style);
 		    multiLanguageTextExcludedNotes = formFactory.createMultiLanguageTextElement(formElement, "Excluded Notes", ((TaxonNode)entity).getExcludedNote(), 50, style);
 		    multiLanguageTextExcludedNotes.setEnabled(((TaxonNode) entity).isExcluded());
-
-		    checkbox_publish = formFactory.createCheckbox(formElement,
-                        "Taxon is public", ((TaxonNode)entity).getTaxon().isPublish(), style);
-
-		    if(isCreateNew()){
-		        CdmPreference defaultPublish = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.DefaultBehaviourForPublishFlag);
-	            if (defaultPublish != null && defaultPublish.getValue().equals(IPreferenceKeys.PUBLISH)){
-	                checkbox_publish.setSelection(true);
-	            } else if (defaultPublish != null && defaultPublish.getValue().equals(IPreferenceKeys.DO_NOT_PUBLISH)){
-	                checkbox_publish.setSelection(false);
-	            }else{
-	                if((this.getParentTreeNode()).isInstanceOf(TaxonNode.class)){
-	                    checkbox_publish.setSelection(((TaxonNode)this.getParentTreeNode()).getTaxon().isPublish());
-	                }else{
-	                    checkbox_publish.setSelection(true);
-	                }
-	            }
-		    }
+		}
+		if (!isCreateNew()){
+		    selectionNodeAgentRelation = formFactory.createTaxonNodeAgentRelationCollectionSection(formElement, getConversationHolder(), style);
+		    selectionNodeAgentRelation.setEntity((TaxonNode)entity);
+		    selectionNodeAgentRelation.setLayoutData(LayoutConstants.FILL_HORIZONTALLY(2, 1));
 		}
 		checkbox_openInEditor = formFactory.createCheckbox(formElement,
 		        "Open in Editor", true, style);